Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 701248 - app-emulation/lxd: port to GLEP 81 user accts
Summary: app-emulation/lxd: port to GLEP 81 user accts
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Erik Mackdanz
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 701210
  Show dependency tree
 
Reported: 2019-11-26 16:43 UTC by Michał Górny
Modified: 2020-05-15 05:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-11-26 16:43:23 UTC
All of the listed packages have been reported as using old-style user.eclass in new versions.  Please port them to GLEP 81 acct-* packages ASAP, in order to resolve the CI reports.
Comment 1 Larry the Git Cow gentoo-dev 2020-05-15 05:20:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7d7c673797b5ff17c5a28b9d1a131d000cac3d7

commit a7d7c673797b5ff17c5a28b9d1a131d000cac3d7
Author:     Joonas Niilola <juippis@gentoo.org>
AuthorDate: 2020-05-14 15:56:05 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-05-15 05:20:29 +0000

    app-emulation/lxd: bump to 4.0.1, LTS channel
    
     - always install daemon and tools,
     - port to GLEP-81 acct.
    
    Closes: https://bugs.gentoo.org/701248
    Closes: https://bugs.gentoo.org/716632
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 app-emulation/lxd/Manifest              |   1 +
 app-emulation/lxd/files/lxd-4.0.0.confd |  23 ++++
 app-emulation/lxd/files/lxd-4.0.0.initd |  54 +++++++++
 app-emulation/lxd/lxd-4.0.1.ebuild      | 202 ++++++++++++++++++++++++++++++++
 4 files changed, 280 insertions(+)